function LongToFloat(InNum) 
{
		
  	// *** This part shall correct the PLC (4-3-2-1) byte order to 1-2-3-4
	
	// Convert Long in Hex String
			var InLong =new Number(InNum);
			
			var InLong_str= InLong.toString(16); 
			
		    // Check Hex string length
		    var length = InLong_str.length;
			if (length<8)
		      {
			    length = 8 - length;
 				while(length!=0)
				{   InLong_str = "0"+InLong_str;
					length = length- 1;
				}
			  }		
			   
			var Byte4 = InLong_str.slice(0,2);
					
			var Byte3 = InLong_str.slice(2,4);
						
			var Byte2 = InLong_str.slice(4,6);
						
			var Byte1 = InLong_str.slice(6,8);	
						
			//Re arrange to correct byte order
			var InLong_Corrected = Byte1.concat(Byte2,Byte3,Byte4);
				
			//Convert Hex back in long 
		    var InLong_Correct = parseInt(InLong_Corrected, 16);
		    
 	// Convert Long to Float
	
		    // Conver long in binary
		    var Bina_Num = InLong_Correct.toString(2);
		   	
		    // Check binary string length
		    var length = Bina_Num.length;
		    if (length<32)
		      {
			    length = 32 - length;
 				while(length!=0)
				{   Bina_Num = "0"+Bina_Num;
					length = length- 1;
				}
			  }
			  
		   var sign = Bina_Num.slice(0,1);	
		   
		   //CALCULATING EXPONENT
		   var Expo = Bina_Num.slice(1,9);  //exponent
		   Expo = parseInt(Expo, 2);
  
           //Calculate Mantissa
		   var Mantissa = Bina_Num.slice(9,32);  //Mantissa
		   
		   var count=1;
		   var mantissa_mac =0;
		   var mantissa_slice = Mantissa;
		   
		   for (count=1; count<24;count++)
		   {
		     mantissa_slice = Mantissa.slice((count-1),count);
			 if(mantissa_slice == "1")
			   { mantissa_mac = Math.pow(2,(count*(-1))) + mantissa_mac;}
			}

			Mantissa = mantissa_mac ;
			    
			var Float_Val ;
			
		    if(Expo == 255)
			   { 
			      if(Mantissa != 0)
				       {
					     Float_Val = "NAN";
			             return Float_Val;
					   }
					   
				  if(Mantissa == 0)
				       {
					     Float_Val = "Infinity";
			             return Float_Val;
					   }
			    }
			
			if(Expo == 0)
			   { 
			      if(Mantissa !=0)
				       {
					     Float_Val = "NAN";
			             return Float_Val;
					   }
					   
				  if(Mantissa == 0)
				       {
					     Float_Val = 0.0;
			             return Float_Val;
					   }
			    }
			
			//Add 1.0 in Mantissa
			Mantissa = Mantissa + 1.0;
		    Expo = Math.pow(2,(Expo-127));
			Float_Val = 0.0 ;
			
			if (sign == "1") 
			    Float_Val = Mantissa*Expo* (-1) ;
			else
                Float_Val = Mantissa*Expo ;
			
			return Float_Val ;
		    //return Expo;
	
}


